require 'rubygems'
require 'em-http'
require 'openssl'
require 'logger'

unless defined?(S3Restful)
  $:<<(File.expand_path(File.dirname(__FILE__) + "/lib"))
  require File.expand_path(File.dirname(__FILE__) + '/S3-restful/utils')
  require File.expand_path(File.dirname(__FILE__) + '/S3-restful/log')
  require File.expand_path(File.dirname(__FILE__) + '/S3-restful/aws')
  require File.expand_path(File.dirname(__FILE__) + '/S3-restful/s3')
  require File.expand_path(File.dirname(__FILE__) + '/S3-restful/s3/request')
  require File.expand_path(File.dirname(__FILE__) + '/S3-restful/s3/item')

  module S3Restful
    MAJOR = 0
    MINOR = 2
    PATCH = 5

    VERSION = [MAJOR, MINOR, PATCH].compact.join('.')
    class Error < RuntimeError; end
  end
end
